Get invoice using specific key.

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

invoice
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

internal_number

Internal number to identify the invoice

string
company_id

Foreign key to company, identifies the company of the invoice

globally unique identifier
company_code

Company code of the invoice

string
company_name

Company name of the invoice

string
date_create

Invoice creation date in utc

date
memo

Memo field for invoice

string
description

Decription field for invoice

string
invoice_type

Invoice type, possible values “ContractGenerated“ and “WorkOrderApproval“

string
source_type

Source of invoice, refers to the type of the object from which invoice is derived

string
source_id_in_table

Key of the object from which the invoice is derived

globally unique identifier
total_lines

Total amount of lines linked to the invoice

integer
total_amount

Total value of items in lines linked to the invoice

decimal number
db_currency_id

Key of db_currency entity, identifies the db_currency of the invoice

globally unique identifier
total_taxes

Total taxes

decimal number
due_date

The due date

date
source_db_table_name

The name of db table

string
delivery_name

The delivery name

string
delivery_street

The street for delivery

string
delivery_city

The city for delivery

string
delivery_zip

The zip for delivery

string
delivery_db_country_name

The country name for delivery

string
reference_back_office

Reference data for back office

string
db_payment_method_id

Payment method id

globally unique identifier
id2

id for internal

integer
customer_remarks

Customer remarks

string
bill_to_party

The bill to party

string
bill_to_contact_id

Contact id for bill

globally unique identifier
contact_id

Contact id of invoice

globally unique identifier
article_price_label_id

Article price label id

globally unique identifier
db_language_id

The language id

globally unique identifier
invoice_status_id

The status id of invoice

globally unique identifier
invoice_status_name

The status name of invoice

string
discount_group_id

The id of discount group

globally unique identifier
discount

Discount value

decimal number
email

The email

string
invoice_number

Invoice number

string
bill_to_company_id

Company id for bill

globally unique identifier
dateutc_confirmation

The confirmation date (UTC)

date
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "df25caab-8ce8-4a91-973d-5a87f82ad27f",
  "internal_number": "sample string 2",
  "company_id": "e9ec0968-31b4-4f8f-b5ed-343b87d2e799",
  "company_code": "sample string 4",
  "company_name": "sample string 5",
  "date_create": "2026-11-01T22:12:06.1281703+00:00",
  "memo": "sample string 7",
  "description": "sample string 8",
  "invoice_type": "sample string 9",
  "source_type": "sample string 10",
  "source_id_in_table": "ff7ce6fd-53f4-4b0d-a009-7c189e4eaabd",
  "total_lines": 12,
  "total_amount": 13.0,
  "db_currency_id": "dac58a7c-b83a-4b96-94cd-13a0fc7a9eab",
  "total_taxes": 15.0,
  "due_date": "2026-11-01T22:12:06.143796+00:00",
  "source_db_table_name": "sample string 17",
  "delivery_name": "sample string 18",
  "delivery_street": "sample string 19",
  "delivery_city": "sample string 20",
  "delivery_zip": "sample string 21",
  "delivery_db_country_name": "sample string 22",
  "reference_back_office": "sample string 23",
  "db_payment_method_id": "eff32d73-3afc-42b1-9fde-9bc397f82dbd",
  "id2": 25,
  "customer_remarks": "sample string 26",
  "bill_to_party": "sample string 27",
  "bill_to_contact_id": "c1510839-76fc-470d-9d85-5fb068717fde",
  "contact_id": "1eb67b59-f846-4d51-97de-9f2777fac7c5",
  "article_price_label_id": "9da09947-daa6-4e13-8b72-576ba20938b3",
  "db_language_id": "32f43322-8e0d-4374-a59f-027dbec5fd3c",
  "invoice_status_id": "3af05f2a-1cc2-40e3-956b-4d78cf597846",
  "invoice_status_name": "sample string 33",
  "discount_group_id": "c979eeb0-c102-4f5c-850b-bf6c19d82ce5",
  "discount": 35.0,
  "email": "sample string 36",
  "invoice_number": "sample string 37",
  "bill_to_company_id": "f19529a5-deed-4a65-a59f-4ea1eab15e3c",
  "dateutc_confirmation": "2026-11-01T22:12:06.143796+00:00",
  "modified_dateutc": "2026-11-01T22:12:06.143796+00:00"
}